<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		<style>
			img { behavior:url('images/pngbehavior.htc'); }
		</style>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" background="images/main_bg.jpg" width="100%" height="100%"><tr><td valign="bottom">
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
	<TR>
		<TD height="50" width="148"><div style="width:148px; height:1px;"><spacer type="block" width="148" height="1"/></div></TD>
		<TD width="100%"></TD>
		<TD width="148"><div style="width:148px; height:1px;"><spacer type="block" width="148" height="1"/></div></TD>
	</TR>
	<TR>
		<TD></TD>
		<TD height="48" style="padding: 5px 0 5px 0;">
		<!-- LOGO -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
		<!-- END LOGO -->
		</TD>
		<TD></TD>
	</TR>
	<TR>
		<TD valign="bottom" align="right" style="background-image: url('images/lbg.gif'); background-position: top right; background-repeat: no-repeat;"><img src="images/visual_tl.png" width="148" height="176" border="0" alt=""/></TD>
		<TD valign="top">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td height="27">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="27">
							<tr>
								<td><img src="images/bg_tl.gif" border="0" alt=""/></td>
								<td width="100%" style="background-image: url('images/bg_t.gif'); background-repeat: repeat-x;"></td>
								<td><img src="images/bg_tr.gif" border="0" alt=""/></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="355">
							<tr>
								<td>
									<table cellpadding="0" cellspacing="0" border="0" width="12" height="100%" style="background-image: url('images/bg_l.gif'); background-repeat: repeat-y;">
										<tr>
											<td valign="bottom" style="background-image: url('images/bg_lt.gif'); background-repeat: no-repeat;"><img src="images/bg_lb.gif" border="0" alt=""/></td>
										</tr>
									</table>
								</td>
								<td width="100%" class="bg" style="background-image: url('images/bg.gif'); background-position: bottom left; background-repeat: no-repeat;">
								<!-- CONTENT -->
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										<tr>
											<td colspan="4">
												<!-- MENU -->
												<table cellpadding="0" cellspacing="0" align="center">
													<tr>
														<td width="30"></td>
														<xsl:call-template name="TOP-MENU"/>
														<td width="30"></td>														
													</tr>
												</table>		
												<!-- /MENU -->
											</td>
										</tr>
										<tr><td colspan="4" height="10"></td></tr>
										<tr><td colspan="4" height="1" align="center"><div class="hr" style="width:95%; height:1px;"><spacer type="block" width="95%" height="1"/></div></td></tr>
										<tr><td colspan="4" height="15"></td></tr>
										<tr>
											<td valign="top">
												<table cellpadding="0" cellspacing="0" border="0" width="190" height="302" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
													<tr>
														<td style="background-image: url('images/submenu_bbg.gif'); background-position: bottom left; background-repeat: no-repeat;">
															<table cellpadding="0" cellspacing="0" border="0" height="100%" width="190" style="background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
																<tr>
																	<td>
																		<div style="width:1px; height:75px;"><spacer type="block" width="1" height="1"/></div>
																		<!-- SUBMENU -->
																		<table cellpadding="0" cellspacing="0" width="180">
																			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																		</table>	
																		<!-- END SUBMENU -->
																		<div style="width:1px; height:75px;"><spacer type="block" width="1" height="1"/></div>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
												<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
											</td>
											<td><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></td>
											<td width="100%" class="pageContent" valign="top">
												<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
											</td>
											<td><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></td>
										</tr>
									</table>
								<!-- END CONTENT -->								
								</td>
								<td valign="bottom" style="background-image: url('images/bg_r.gif'); background-repeat: repeat-y;"><img src="images/bg_rb.gif" border="0" alt=""/></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="81">
							<tr>
								<td><img src="images/visual_r.gif" border="0" alt=""/></td>
								<td width="100%" align="center" class="bg footer" style="background-image: url('images/bg_b.gif'); background-repeat: repeat-x; background-position: bottom;">
									<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
									<div class="hr" style="width:100%; height:1px;"><spacer type="block" width="100%" height="1"/></div>
									<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
									<div align="right"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
									<div style="width:1px; height:5px;"><spacer type="block" width="1" height="5"/></div>
								</td>
								<td><img src="images/bg_br.gif" border="0" alt=""/></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
		<TD style="background-image: url('images/rbg.gif'); background-position: bottom left; background-repeat: no-repeat;"></TD>
	</TR>
	<TR>
		<TD valign="top" align="right"><img src="images/visual_bl.png" width="148" height="98" border="0" alt=""/></TD>
		<TD valign="top"><img src="images/visual_br.png" width="143" height="98" border="0" alt=""/></TD>
		<TD></TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>																
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#F3F3F3"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
